//===================================================================*/
/* イベント
//===================================================================*/
//　F2 表示
$(document).on("click", ".popafm032x1Func2:not('.noevent')", function (e) {
  $('#popafm032x1Search').trigger('click');
});
//　F5 クリア
$(document).on("click", ".popafm032x1Func5:not('.noevent')", function (e) {
  afm032x1.initial();
});
//　F9 決定
$(document).on("click", ".popafm032x1Func9:not('.noevent')", function (e) {
  $("#popafm032x1Select").trigger("click");
});
//　F12 メニュー/戻る
$(document).on("click", ".popafm032x1Func12:not('.noevent')", function (e) {
  $('#popafm032x1Close').trigger('popClose');
});

$(document).on("focus", "#afm032x1Dummy", function(e) {
  $(".popafm032x1Func2").focus();
});

function dspPopupAfm032x1($me) {  //表示
  if ($me.attr("readonly") == "readonly" || $me.attr("readonly") == true) {
    return true
  }

console.log("dspPopupAfm032x1");

  var grp = $me.closest(".cuediGrp");

  var cucd = grp.find(".cucd")[0];
  var cuedi = grp.find(".cuedi")[0];

  console.log(grp);

  if(stringUtil.isEmpty(common.getValue($(cucd)))) {
    common.addError($(cucd), "得意先を入力してください。", null);
    return false;
  }

  popup.openPopup("afm032x1", $(grp));

  common.setValue($("#afm032x1OrgTitle"), common.getValue($("#topPrgTitle")));
  common.setValue($("#topPrgTitle"),"得意先店舗検索");

  var id = common.getId( $(grp) );
  $("#afm032x1Cd").data("popObjId", id);

  afm032x1.initial();

  common.setDetailHeight($("#afm032x1Detail"));

  common.setValue($("#afm032x1Ccd"),common.getValue(grp.find(".cucd")));

  var $stpflg = $(cuedi).data("stpflg"); //0=廃止可(デフォルト) 1=廃止可 2=マスタ無し可能
  if(!stringUtil.isValid($stpflg)) {
    $stpflg = '0';
  }
  common.setValue("#afm032x1Stpflg",$stpflg);

  $("#popafm032x1Search").trigger("click");
}
$(document).on("click", ".cmdCuedi", function (e) {
  dspPopupAfm032x1($(this));
});

$(document).on("keyup", ".popCuedi", function (e) {
  if (e.keyCode == 40) {
    dspPopupAfm032x1($(this));
  }
});


$(document).on("click", "#popafm032x1Search", function (e) {
  var me = this;
  // 読込

  var $stpflg = common.getValue("#afm032x1Stpflg");

  afm032x1.deldetail();  //明細削除

  var sendData = {};
  sendData["popmode"] = "afm032x1";
  sendData["ccd"]     = $("#afm032x1Ccd").val();
  sendData['stpflg']  = $stpflg;

  setComplianceData("search", sendData);

  var me = $(this);
  common.postData(
    common.getApiUrl() + "getPopupSearch.php"
    , sendData
    , function (data, options) { $(me).trigger("regSuccess", data); }
    , function (error, options) { $(me).trigger("regError", error); }
  );

});

$(document).on("regSuccess", "#popafm032x1Search", function (e, data) {
  var list = JSON.parse(data)

  if (!(list != null)) {
    return false;
  }

  $("#afm032x1Detail .detail").remove();
  var el = "";
  for (var i = 0; i < list.length; i++) {
    el += afm032x1.appendRow(list[i]);
  }
  $("#afm032x1Detail").append(el);

  common.setDetailHeight($("#afm032x1Detail"));

  $("#afm032x1Detail .detail").first().find("a").focus();
});
$(document).on("regError", "#popafm032x1Search", function (e, data) {
  alert(data.msg);
});

$(document).on("dblclick", "#afm032x1Detail .selectRow", function (e) {
  hideToolTip();
  $("#popafm032x1Select").trigger("click");
});

$(document).on("click", "#popafm032x1Select", function (e) {
  if (e.bubbles == false) {
    return false;
  }

  var sel = $("#afm032x1Detail .selectRow");

  var grp = popup.closePopup("afm032x1");
  var cuscd = grp.find(".cuscd")[0];
  var popCuedi = grp.find(".popCuedi")[0];
  //値をセット
  common.setValue(grp.find(".cuedi"), common.getValue($(sel).find(".cuedi")));

//  $(cucd).change();
  $(popCuedi).focus();

  afm032x1.initial();

  common.setValue($("#topPrgTitle"), common.getValue($("#afm032x1OrgTitle")));
  $(popCuedi).trigger("afterSelectAfm032x1");
  common.clearError($(popCuedi));
});

$("#popafm032x1Close").on("popClose", function (e) {
  if (e.bubbles == false) {
    return false;
  }

  var grp = popup.closePopup("afm032x1");
  grp.find(".popCuedi")[0].focus();

  common.setValue($("#topPrgTitle"), common.getValue($("#afm032x1OrgTitle")));
  afm032x1.initial();

  //afm032x1.close();
});

$(document).on("keydown", "#afm032x1Detail .selectRow", function (e) {
  if (e.keyCode == 32) {
    $("#popafm032x1Select").trigger("click");
    return false;
  }
});

var afm032x1 = {
  close: function () {
    this.initial();
    popup.closePopup("afm032x1");
  },

  appendRow: function (d) {
    var n = stringUtil.nvl;
      var row =
      ' <div class="col wp-100 detail"> ' +
      '   <hr> ' +
      '   <div class="col wp-100"> ' +
      '     <a href="#" class="line"> </a> ' +
      '     <div class="item wd-100 inputReadOnly cuedi">' + n(d.cuedi) + '</div>' + 
      '     <div class="item wd-SS  inputReadOnly cuscd">' + n(d.cuscd) + '</div>' + 
      '     <div class="item wd-LL  inputReadOnly spnm longnm">' + n(d.spnm) + '</div>' +
      '   </div> ' +
      ' </div> ';

    return row;
  },

  deldetail: function () {
    var el = document.getElementById("afm032x1Detail");
    var n = el.cloneNode(false);
    el.parentNode.replaceChild(n, el);
  },

  initial: function () {
    var main = $(".afm032x1").find(".header_popafm032x1");
    common.clearInputData(main);
    common.clearAllError();

    var el = document.getElementById("afm032x1Detail");
    var n = el.cloneNode(false);
    el.parentNode.replaceChild(n, el);

    $("#afm032x1Ccd").focus();

  },
}
